@use "../abstracts/mixins";

@mixin layouting-row() {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    justify-content: center;

    @include mixins.respond-to(medium) {
        flex-direction: row;
        gap: 4rem;
        @content;
    }
}

.layouting-row {
    & {
        @include layouting-row() {
            align-items: flex-start;
        }
    }

    &-home {
        @include layouting-row() {
            // Hack: The news section needs to be centered with respect to the about text (without heading).
            // margin-top = h2
            > :nth-child(2) {
                margin-top: 2.5rem;
            }
        }
    }
}

.column {
    display: flex;
    flex-direction: column;

    &:first-child {
        flex: 2;
    }

    &:not(:first-child) {
        flex: 1;
    }
}
